[@bigcommerce/checkout-sdk](../README.md) / Consignment

# Interface: Consignment

## Table of contents

### Properties

- [address](Consignment.md#address)
- [availableShippingOptions](Consignment.md#availableshippingoptions)
- [comparisonShippingCost](Consignment.md#comparisonshippingcost)
- [discounts](Consignment.md#discounts)
- [handlingCost](Consignment.md#handlingcost)
- [id](Consignment.md#id)
- [lineItemIds](Consignment.md#lineitemids)
- [selectedPickupOption](Consignment.md#selectedpickupoption)
- [selectedShippingOption](Consignment.md#selectedshippingoption)
- [shippingAddress](Consignment.md#shippingaddress)
- [shippingCost](Consignment.md#shippingcost)
- [shippingCostBeforeDiscount](Consignment.md#shippingcostbeforediscount)

## Properties

### address

• **address**: [`Address`](Address.md)

___

### availableShippingOptions

• `Optional` **availableShippingOptions**: [`ShippingOption`](ShippingOption.md)[]

___

### comparisonShippingCost

• **comparisonShippingCost**: `number`

___

### discounts

• **discounts**: [`ConsignmentDiscount`](../README.md#consignmentdiscount)[]

___

### handlingCost

• **handlingCost**: `number`

___

### id

• **id**: `string`

___

### lineItemIds

• **lineItemIds**: `string`[]

___

### selectedPickupOption

• `Optional` **selectedPickupOption**: [`ConsignmentPickupOption`](ConsignmentPickupOption.md)

___

### selectedShippingOption

• `Optional` **selectedShippingOption**: [`ShippingOption`](ShippingOption.md)

___

### shippingAddress

• **shippingAddress**: [`Address`](Address.md)

___

### shippingCost

• **shippingCost**: `number`

___

### shippingCostBeforeDiscount

• **shippingCostBeforeDiscount**: `number`
